@echo off
echo High-frequency Transfer Function for D040180 as part of test procedure T040189.
echo %date% %time%
echo Running HF transfer function for D040180 Common Mode Board rev E.
echo Channel R should be teed to both RF Out and IN1. (After calibration.)
echo Channel A should be connected to SERVO. (After calibration.)
set /p SERIAL="Serial number of D040180E board (No :'s, please):"
set FILENAME=%SERIAL%IN1SERVOHighFreqTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFAG4395A.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -p 200 --AR --start 10kHz --fin 10MHz -v 100
echo High-frequency transfer function complete.
pause