@echo off
echo DAQ Transfer Functions for D040180 as part of test procedure E1100429.
echo %date% %time%
echo Running basic transfer functions for D040180 Common Mode Board rev E.
echo Channel A1 should be teed to both Source Out and IN1.
echo Channel A2 should be connected to IMON (on the DB9 to 3 BNCs adapter).
set /p SERIAL="Serial number of D040180E board (No :'s, please):"
set FILENAME=%SERIAL%DAQIMONTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 10000 -e 1 -n 201 --sweep Log -x 1V -t 2
echo Plug channel A2 into FMON.
pause
set FILENAME=%SERIAL%DAQFMONTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 10000 -e 1 -n 201 --sweep Log -x 1V -t 2
echo Plug channel A2 into SMON.
pause
set FILENAME=%SERIAL%DAQSMONTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 10000 -e 1 -n 201 --sweep Log -x 1V -t 2
echo DAQ transfer functions complete.
pause