@echo off
echo Monitor Channel Transfer Functions for D040180 as part of test procedure E1100429.
echo %date% %time%
echo Running mon channel transfer functions for D040180 Common Mode Board rev E.
echo Channel A1 should be teed to both Source Out and IN1.
echo Channel A2 should be connected to D32 Input Mon.
set /p SERIAL="Serial number of D040180E board (No :'s, please):"
set FILENAME=%SERIAL%InputMonTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Plug channel A2 into D33 Split Mon.
pause
set FILENAME=%SERIAL%SplitMonTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Plug channel A2 into D34 Fast Mon.
pause
set FILENAME=%SERIAL%FastMonTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Plug channel A2 into D39 FB Mon.
pause
set FILENAME=%SERIAL%FBMonTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Plug channel A2 into D40 Output Mon.
pause
set FILENAME=%SERIAL%OutputMonTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Monitor channel TFs complete.
pause