@echo off
echo Noise Measurements for D040180 as part of test procedure E1100429.
echo %date% %time%
echo Running noise measurement FFTs for D040180 Common Mode Board rev E.
echo IN1 and IN2 should be grounded (preferrably terminated w/ 50Ohms).
echo Channel A1 should be connected to OUT1.
set /p SERIAL="Serial number of D040180E board (No :'s, please):"
set FILENAME=%SERIAL%OUT1Noise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
CompositeFFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -n 800 -v 100 --ic1 AC
echo OUT1 FFT complete. Plug channel A1 into OUT2.
pause
set FILENAME=%SERIAL%OUT2Noise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
CompositeFFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -n 800 -v 100 --ic1 AC
echo OUT2 FFT complete. Plug channel A1 into SERVO.
pause
set FILENAME=%SERIAL%SERVONoise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
CompositeFFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -n 800 -v 100 --ic1 AC
echo SERVO FFT complete.
echo --- Noise Measurements Complete ---
pause