@echo off
echo Adjustment Channel Transfer Functions for D040180 as part of test procedure E1100429.
echo %date% %time%
echo Running adj channel transfer functions for D040180 Common Mode Board rev E.
echo Channel A1 should be teed to both Source Out and D36 Offset Adj.
echo Channel A2 should be connected to OUT1.
set FILENAME=%SERIAL%D36NoiseTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 10000 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Plug channel A1 into D37 Offset Adj.
pause
set FILENAME=%SERIAL%D37NoiseTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 10000 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Plug channel A1 into D38 Output Adj and toggle down D27.
pause
set FILENAME=%SERIAL%D38NoiseTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 10000 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Adjustment channel TFs done. Toggle D27 up.
pause