@echo off
echo Basic Transfer Function for D040180 as part of test procedure E1100429.
echo %date% %time%
echo Running basic transfer functions for D040180 Common Mode Board rev E.
echo Channel A1 should be teed to both Source Out and IN1.
echo Channel A2 should be connected to OUT1.
set /p SERIAL="Serial number of D040180E board (No :'s, please):"
set FILENAME=%SERIAL%IN1OUT1TF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 401 --sweep Log -x 0.1 -t 2
echo Plug channel A2 into SERVO.
pause
set FILENAME=%SERIAL%IN1SERVOTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 401 --sweep Log -x 0.1 -t 2
echo Plug channel A1 into IN2 (and Source Out) and A2 into OUT2.
pause
set FILENAME=%SERIAL%IN2OUT2TF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 401 --sweep Log -x 0.1 -t 2
echo Transfer functions complete.
pause